using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlTypes;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using PTMedicalInsurance.Common;

namespace PTMedicalInsurance.Forms
{
    public partial class ChooseCard : Form
    {
        public string cardType;
        public string businessType;
        public string ID;
        public ChooseCard()
        {
            InitializeComponent();
        }

        private void uiPanel2_Click(object sender, EventArgs e)
        {

        }

        private void btOk_Click(object sender, EventArgs e)
        {
            cardType = "0" + (rbgCardType.SelectedIndex +1).ToString();
            businessType = "01" + cbBusinessType.Text.Substring(0,3);

            if (rbgCardType.SelectedIndex == 1)
            {
                if (tbID.Text == "")
                {
                    ID = "";
                }
                else
                {
                    ID = tbID.Text;
                }
            }
            DialogResult = DialogResult.OK;
        }

        private void ChooseCard_Load(object sender, EventArgs e)
        {
            rbgCardType.SelectedIndex = 2;
            cbBusinessType.SelectedIndex = 0;
           
        }

        private void rbgCardType_ValueChanged(object sender, int index, string text)
        {
            if (rbgCardType.SelectedIndex == 0)
            {
                cbBusinessType.Enabled = true;
            }
            else
            {
                cbBusinessType.Enabled = false;
            }          
        }

        private void btCancle_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
        }
    }
}
